Package org.eclipse.rdf4j.rio.turtle

## Class ArrangedWriter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter
  - - org.eclipse.rdf4j.rio.turtle.ArrangedWriter

- All Implemented Interfaces:
    `Sink`, `RDFHandler`, `RDFWriter`

      @Deprecated
      public class ArrangedWriter
      extends AbstractRDFWriter

  Deprecated.
  since 3.3.1. pretty printing / bnode inlining logic has been moved to `TurtleWriter` internally.
  Internal wrapper that sorts statements for pretty printing and repeats blank nodes if inlining them.
  Since:
    2.3
  Author:
    James Leigh

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `namespaceTable, statementConsumer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrangedWriter​(RDFWriter delegate)` | Deprecated.
    `ArrangedWriter​(RDFWriter delegate, int size)` | Deprecated.
    `ArrangedWriter​(RDFWriter delegate, int size, boolean repeatBlankNodes)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `consumeStatement​(Statement st)` | Deprecated. Consume a statement.
    `void` | `endRDF()` | Deprecated. Signals the end of the RDF data.
    `RDFFormat` | `getRDFFormat()` | Deprecated. Gets the RDF format that this RDFWriter uses.
    `Collection<RioSetting<?>>` | `getSupportedSettings()` | Deprecated.
    `WriterConfig` | `getWriterConfig()` | Deprecated. Retrieves the current writer configuration as a single object.
    `void` | `handleComment​(String comment)` | Deprecated. Handles a comment.
    `void` | `handleNamespace​(String prefix, String uri)` | Deprecated. Handles a namespace declaration/definition.
    `<T> RDFWriter` | `set​(RioSetting<T> setting, T value)` | Deprecated. Set a setting on the writer, and return this writer object to allow chaining.
    `RDFWriter` | `setWriterConfig​(WriterConfig config)` | Deprecated. Sets all supplied writer configuration options.
    `void` | `startRDF()` | Deprecated. Signals the start of the RDF data.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `checkWritingStarted, getFileFormat, handleStatement, isWritingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.io.Sink

      `acceptsFileFormat`

- - ### Constructor Detail

    - #### ArrangedWriter

          public ArrangedWriter​(RDFWriter delegate)

      Deprecated.

    - #### ArrangedWriter

          public ArrangedWriter​(RDFWriter delegate,
                                int size)

      Deprecated.

    - #### ArrangedWriter

          public ArrangedWriter​(RDFWriter delegate,
                                int size,
                                boolean repeatBlankNodes)

      Deprecated.

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Deprecated.
      Description copied from interface: `RDFWriter`
      Gets the RDF format that this RDFWriter uses.

    - #### setWriterConfig

          public RDFWriter setWriterConfig​(WriterConfig config)

      Deprecated.
      Description copied from interface: `RDFWriter`
      Sets all supplied writer configuration options.
      Specified by:
        `setWriterConfig` in interface `RDFWriter`
      Overrides:
        `setWriterConfig` in class `AbstractRDFWriter`
      Parameters:
        `config` - a writer configuration object.
      Returns:
        Either a copy of this writer, if it is immutable, or this object, to allow chaining of method calls.

    - #### getWriterConfig

          public WriterConfig getWriterConfig()

      Deprecated.
      Description copied from interface: `RDFWriter`
      Retrieves the current writer configuration as a single object.
      Specified by:
        `getWriterConfig` in interface `RDFWriter`
      Overrides:
        `getWriterConfig` in class `AbstractRDFWriter`
      Returns:
        a writer configuration object representing the current configuration of the writer.

    - #### getSupportedSettings

          public Collection<RioSetting<?>> getSupportedSettings()

      Deprecated.
      Specified by:
        `getSupportedSettings` in interface `RDFWriter`
      Overrides:
        `getSupportedSettings` in class `AbstractRDFWriter`
      Returns:
        A collection of `RioSetting`s that are supported by this RDFWriter.

    - #### set

          public <T> RDFWriter set​(RioSetting<T> setting,
                                   T value)

      Deprecated.
      Description copied from interface: `RDFWriter`
      Set a setting on the writer, and return this writer object to allow chaining.
      Specified by:
        `set` in interface `RDFWriter`
      Overrides:
        `set` in class `AbstractRDFWriter`
      Parameters:
        `setting` - The setting to change.
        `value` - The value to change.
      Returns:
        Either a copy of this writer, if it is immutable, or this object, to allow chaining of method calls.

    - #### startRDF

          public void startRDF()
                        throws RDFHandlerException

      Deprecated.
      Description copied from interface: `RDFHandler`
      Signals the start of the RDF data. This method is called before any data is reported.
      Specified by:
        `startRDF` in interface `RDFHandler`
      Overrides:
        `startRDF` in class `AbstractRDFWriter`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### endRDF

          public void endRDF()
                      throws RDFHandlerException

      Deprecated.
      Description copied from interface: `RDFHandler`
      Signals the end of the RDF data. This method is called when all data has been reported.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleNamespace

          public void handleNamespace​(String prefix,
                                      String uri)
                               throws RDFHandlerException

      Deprecated.
      Description copied from interface: `RDFHandler`
      Handles a namespace declaration/definition. A namespace declaration associates a (short) prefix string with the namespace's URI. The prefix for default namespaces, which do not have an associated prefix, are represented as empty strings.
      Specified by:
        `handleNamespace` in interface `RDFHandler`
      Overrides:
        `handleNamespace` in class `AbstractRDFWriter`
      Parameters:
        `prefix` - The prefix for the namespace, or an empty string in case of a default namespace.
        `uri` - The URI that the prefix maps to.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleComment

          public void handleComment​(String comment)
                             throws RDFHandlerException

      Deprecated.
      Description copied from interface: `RDFHandler`
      Handles a comment.
      Parameters:
        `comment` - The comment.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### consumeStatement

          protected void consumeStatement​(Statement st)
                                   throws RDFHandlerException

      Deprecated.
      Description copied from class: `AbstractRDFWriter`
      Consume a statement. Extending classes must override this method instead of overriding `AbstractRDFWriter.handleStatement(Statement)` in order to benefit from automatic handling of RDF-star conversion or encoding.
      Overrides:
        `consumeStatement` in class `AbstractRDFWriter`
      Parameters:
        `st` - the statement to consume.
      Throws:
        `RDFHandlerException`